Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.physics
Class VerletConstrainedSpring

    java.lang.Object
      toxi.physics.VerletSpring
          toxi.physics.VerletConstrainedSpring

    public class VerletConstrainedSpring

extends VerletSpring

Implements a spring whose maximum relaxation distance at every time step can be limited to achieve better (if physically incorrect) stability of the whole spring system.

Field Summary
`float` | `limit` Maximum relaxation distance for either end of the spring in world units

Fields inherited from class toxi.physics.VerletSpring
`a, b`

Constructor Summary
`VerletConstrainedSpring(VerletParticle a, VerletParticle b, float len, float str)`
`VerletConstrainedSpring(VerletParticle a, VerletParticle b, float len, float str, float limit)`

Method Summary

Methods inherited from class toxi.physics.VerletSpring
`getRestLength, getStrength, lockA, lockB, setRestLength, setStrength`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### limit

    public float limit

  Maximum relaxation distance for either end of the spring in world units

Constructor Detail

### VerletConstrainedSpring

    public VerletConstrainedSpring(VerletParticle a,
                                   VerletParticle b,
                                   float len,
                                   float str)

Parameters:
  `a` -
  `b` -
  `len` -
  `str` -

### VerletConstrainedSpring

    public VerletConstrainedSpring(VerletParticle a,
                                   VerletParticle b,
                                   float len,
                                   float str,
                                   float limit)

Parameters:
  `a` -
  `b` -
  `len` -
  `str` -
  `limit` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD